{
    "Dhcp4": {
        "valid-lifetime": ${DHCP_VALID_LIFETIME:-3600},
        "min-valid-lifetime": ${DHCP_MIN_VALID_LIFETIME:-360},
        "max-valid-lifetime": ${DHCP_MAX_VALID_LIFETIME:-7200},
        "match-client-id": false,

        "calculate-tee-times": true,

        "control-socket": {
            "socket-type": "unix",
            "socket-name": "${DHCP_CONTROL_SOCKET_PATH:-/shared/kea4-ctrl-socket}"
        },

        "interfaces-config": {
            "interfaces": [ "*" ],
            "dhcp-socket-type": "udp",
            "outbound-interface": "use-routing"
        },

        "lease-database": {
            "type": "postgresql",
            "host": "${DB_KEA_HOST}",
            "port": ${DB_KEA_PORT:-5432},
            "name": "${DB_KEA_NAME}",
            "user": "${DB_KEA_USER}",
            "password": "${DB_KEA_PASSWORD}"
        },

        "loggers": [
            {
                "name": "kea-dhcp4",
                "output_options": [
                    {
                        "output": "stdout",
                        "pattern": "%-5p %m\n"
                    }
                ],
                "severity": "${DHCP_LOG_LEVEL:-INFO}",
                "debuglevel": ${DHCP_DEBUG_LEVEL:-0}
            }
        ]
    }
}
